Issue 12499

Summary: Paste drawing replaces selection
Product: Writer Reporter: Unknown <non-migrated>
Component: open-importAssignee: AOO issues mailing list <issues>
Status: ACCEPTED --- QA Contact:
Severity: Trivial    
Priority: P4 CC: issues, oooqa
Version: OOo 1.0.1Keywords: oooqa, rfe_eval_ok
Target Milestone: ---   
Hardware: PC   
OS: Linux, all   
Issue Type: ENHANCEMENT Latest Confirmation in: ---
Developer Difficulty: ---

Description Unknown 2003-03-20 11:00:21 UTC
When I draw a box (for example) in a text document, copy it and then paste it
while the box is still selected, the existing box is replaced. This gets
annoying when I'm working at the bottom of a page, because I have to select
nothing before I paste, which returns the cursor to the top of the page.

MS Word doesn't replace the selection, which I think is a nicer behaviour.
Although perhaps there should be an option to choose which behaviour is
required. (Perhaps there is one and I just haven't found it yet).
Comment 1 prgmgr 2003-06-27 20:25:51 UTC
Thank you for your comment James.

Verified on OOo 1.0.3.1 & 1.1 Beta 2.
Comment 2 brat 2003-06-30 20:00:50 UTC
The same thing happens in 1.1Beta2

I am confirming this issue.
Comment 3 bettina.haberer 2004-01-23 18:31:58 UTC
Summary: When I draw a box (for example) in a text document, copy it and then
paste it while the box is still selected, the existing box is replaced. This gets
annoying when I'm working at the bottom of a page, because I have to select
nothing before I paste, which returns the cursor to the top of the page.
Considered for OO.o later.
Comment 4 watersrw 2004-09-21 19:59:02 UTC
If the other object is not selected, it puts the new one right on top of the old
one, appearing not to have pasted a new copy - couldn't pasted objects be tiled
and not replace the selected one?
Comment 5 discoleo 2007-10-07 18:44:49 UTC
Issue 80622 (http://www.openoffice.org/issues/show_bug.cgi?id=80622) seems to be
a duplicate of this one.
Comment 6 michael.ruess 2007-10-30 09:00:41 UTC
*** Issue 80622 has been marked as a duplicate of this issue. ***
Comment 7 michael.ruess 2007-10-30 09:01:10 UTC
*** Issue 83109 has been marked as a duplicate of this issue. ***
Comment 8 faoi 2007-10-30 10:23:04 UTC
I'm not sure if replacing the selected object is the best possible thing. It is surely OK while writing some 
text. But imagine a case where you want to draw several red circles with some text. First you create one 
circle - create it in the right dimensions, place some text in, select the color and then
1) Ctrl+C
2) Ctrl+V
3) grab by mouse and move to desired position
4) Ctrl+V
5) grab by mouse and move to desired position
6) goto 3

But this does not work and instead you have to do

1) Ctrl+C
2) deselect current circle
3) Ctrl+V
4) grab by mouse and move to desired position
5) deselect current circle
6) Ctrl+V
7) grab by mouse and move to desired position
8) deselect current circle
7) goto 3

Please try this yourself and see what current behavior is not very
intuitive - my girlfriend wasn't able to figure that she need to use the
second algorithm and the was really mad after creating 20 red circles :-)
And she works quite OK  with computers. Imagine someone even less skilled.

BTW: Verified on OOo 2.1, 2.2, 2.3 on MacOSX, 2.3 on Windows
Comment 9 bettina.haberer 2010-05-21 14:49:10 UTC
To grep the issues easier via "requirements" I put the issues currently lying on
my owner to the owner "requirements".